package com.yanzhu.jh.project.service;

import java.util.List;

import com.yanzhu.jh.project.domain.SurProjectAttendanceCfg;
import com.yanzhu.jh.project.domain.SurProjectAttendanceUser;

/**
 * 考勤人员基本属性Service接口
 * 
 * @author ruoyi
 * @date 2023-09-24
 */
public interface ISurProjectAttendanceUserService 
{
    /**
     * 查询考勤人员基本属性
     * 
     * @param id 考勤人员基本属性主键
     * @return 考勤人员基本属性
     */
    public SurProjectAttendanceUser selectSurProjectAttendanceUserById(Long id);

    /**
     * 查询考勤人员基本属性列表
     * 
     * @param surProjectAttendanceUser 考勤人员基本属性
     * @return 考勤人员基本属性集合
     */
    public List<SurProjectAttendanceUser> selectSurProjectAttendanceUserList(SurProjectAttendanceUser surProjectAttendanceUser);

    /**
     * 新增考勤人员基本属性
     * 
     * @param surProjectAttendanceUser 考勤人员基本属性
     * @return 结果
     */
    public int insertSurProjectAttendanceUser(SurProjectAttendanceUser surProjectAttendanceUser);

    /**
     * 修改考勤人员基本属性
     * 
     * @param surProjectAttendanceUser 考勤人员基本属性
     * @return 结果
     */
    public int updateSurProjectAttendanceUser(SurProjectAttendanceUser surProjectAttendanceUser);

    /**
     * 批量删除考勤人员基本属性
     * 
     * @param ids 需要删除的考勤人员基本属性主键集合
     * @return 结果
     */
    public int deleteSurProjectAttendanceUserByIds(Long[] ids);

    /**
     * 删除考勤人员基本属性信息
     * 
     * @param id 考勤人员基本属性主键
     * @return 结果
     */
    public int deleteSurProjectAttendanceUserById(Long id);

    public void add(SurProjectAttendanceUser user);

   public  List<SurProjectAttendanceUser> queryAttendanceData(SurProjectAttendanceCfg where);

    public long countTodayAttendance(SurProjectAttendanceUser where);

    public List<SurProjectAttendanceUser> todayAttendance(SurProjectAttendanceUser where);
}
